# Change Log

All notable changes to the “gitea-workflow” extension will be documented in this file.

Check [Keep a Changelog](http://keepachangelog.com/) for recommendations on how to structure this file.

## [Unreleased]

- Streamline Auth, Login and URL Setup
- if working in PR show different Icon with hint
- fix progress bar in notification

## 1.2.2

### Fixed

- no errors if not a Git-Repository
- no errors if not a Gitea-Repository with configured upstream
- no Statusbar icons if not Git/Gitea-Repository
- truncate Commit Titles longer than 255 characters

## 1.2.1

### Fixed

- cloning into existing subpath working again

### Added

- more verbose error handling


## 1.2.0

### Added

- Show open Pull Requests (Command and Status Bar Icon)

## 1.1.0

### Added

- Add localization for English and German

### Fixed

- add `git clone` functionality again, after it got "lost on the way"

## 1.0.2

### Added

- add Link to Public Repo
- fix changelog

## 1.0.1

### Added

- Add Icon
- Add section for PR to README
- Update README

## 1.0.0 

_initial release_